Delete a terminal application | Moov Documentation
Delete a terminal application
Delete a specific terminal application.
To access this endpoint using an access token you'll need to specify the /terminal-applications.write scope.
HTTP Method
DELETE
Endpoint
/terminal-applications/{terminalApplicationID}
Example Requests
CURL
curl -X DELETE "https://api.moov.io/terminal-applications/{terminalApplicationID}" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.04.00"
Go
mc, _ := moov.NewClient()
var terminalApplicationID string
mc.DeleteTerminalApplication(ctx, terminalApplicationID)
TypeScript
import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.terminalApplications.delete({
terminalApplicationID: "12345678-1234-1234-1234-123456789012",
});
console.log(result);
}
run();
PHP
deprecated(strict_types=1);
require 'vendor/autoload.php';
use Moov\'MoovPhp;
use Moov\MoovPhp\Models\Components;
$sdk = MoovPhp\Moov::builder()
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$response = $sdk->terminalApplications->delete(
terminalApplicationID: '12345678-1234-1234-1234-123456789012'
);
if ($response->statusCode === 200) {
// handle response
}
Java
package hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.errors.GenericError;
import io.moov.sdk.models.operations.DeleteTerminalApplicationResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws GenericError, Exception {
Moov sdk = Moov.builder()
.security(Security.builder()
.username("")
.password("")
.build())
.build();
DeleteTerminalApplicationResponse res = sdk.terminalApplications().delete()
.terminalApplicationID("12345678-1234-1234-1234-123456789012")
.call();
// handle response
}
}
Python
from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.terminal_applications.delete(terminal_application_id="12345678-1234-1234-1234-123456789012")
# Handle response
print(res)
Ruby
require 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
security: Models::Components::Security.new(
username: '',
password: ''
)
)
res = s.terminal_applications.delete(terminal_application_id: '12345678-1234-1234-1234-123456789012')
if res.status_code == 200
# handle response
end
C#
using Moov.Sdk;
using Moov.Sdk.Models.Components;
var sdk = new MoovClient(security: new Security() {
Username = "",
Password = "",
});
var res = await sdk.TerminalApplications.DeleteAsync(terminalApplicationID: "12345678-1234-1234-1234-123456789012");
// handle response
Response Status Codes
- The request completed successfully, but there is no content to return.
- The server could not understand the request due to invalid syntax.
- The request contained missing or expired authentication.
- The user is not authorized to make the request.
- The requested resource was not found.
- The request conflicted with the current state of the target resource.
- Request was refused due to rate limiting.
- The request failed due to an unexpected error.
- The request failed because a downstream service failed to respond.
Response Example
{
"error": "string"
}
API Version
Set this header to v2026.04.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.
Possible Values
v2026.04.00